/***************************************************************************
 *   Copyright (C) 2003-2005 by Diego "Flameeyes" Pettenò                  *
 *   flameeyes@users.berlios.de                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef KVBAMAINWINDOW_H
#define KVBAMAINWINDOW_H

#include <kmainwindow.h>

class KvbaMain;

class MainWindow : public KMainWindow
{
Q_OBJECT
public:
	MainWindow(QWidget *parent = 0, const char *name = 0);
	
	~MainWindow();

protected slots:
	void slotConfigureKeys();
	void slotConfigureNotifications();
	void slotConfigureToolBars();

protected:
	KvbaMain *Kvba;	//!< Main widget

};

#endif
